Package wx :: Module html :: Class HtmlDCRenderer

[frames | no frames]

## Type HtmlDCRenderer

    object --+
             |
        Object --+
                 |
                HtmlDCRenderer

Proxy of C++ HtmlDCRenderer class

Method Summary
HtmlDCRenderer | `__init__(self)`
| `__del__(self)`
int | `GetTotalHeight(self)`
int | `Render(self, x, y, known_pagebreaks, from, dont_render, to)`
| `SetDC(self, dc, maxwidth)`
| `SetFonts(self, normal_face, fixed_face, sizes)`
| `SetHtmlText(self, html, basepath, isdir)`
| `SetSize(self, width, height)`
| `SetStandardFonts(self, size, normal_face, fixed_face)`

Property Summary
| `thisown`: The membership flag
| `TotalHeight`: See `GetTotalHeight`

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1218992956(...)
  Set Method:
    unknown--1218992900(...)

### TotalHeight

See `GetTotalHeight`

  Get Method:
    `GetTotalHeight`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:47 2007 | http://epydoc.sf.net